Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
media-libs/mesa-9999 problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
ns4683
n00b
n00b


Joined: 25 Jan 2009
Posts: 10

PostPosted: Sat Sep 04, 2010 7:57 pm    Post subject: media-libs/mesa-9999 problem Reply with quote

Hello,

I have been using the media-libs/mesa-9999 ebuild for several months and recently I'm having problems building the package. Everything compiles but when it's moving the files, I get this error message:
Code:
make[1]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999/work/Mesa-9999/src'
cp: cannot stat `/var/tmp/portage/media-libs/mesa-9999/work/Mesa-9999/src/glsl/apps/compile': No such file or directory
 * ERROR: media-libs/mesa-9999 failed:
 *   failed to copy the glsl compiler.
 *
 * Call stack:
 *     ebuild.sh, line  56:  Called src_install
 *   environment, line 3916:  Called die
 * The specific snippet of code:
 *           cp "${S}"/src/glsl/apps/compile "${D}"/usr/bin/glsl-compile || die "failed to copy the glsl compiler.";


Googling and searching the forums here have not led to any resolution. Can anyone guide me in the right direction?

Thanks.
Back to top
View user's profile Send private message
chithanh
Developer
Developer


Joined: 05 Aug 2006
Posts: 1677
Location: Berlin, Germany

PostPosted: Sat Sep 04, 2010 11:38 pm    Post subject: Reply with quote

Can you be more specific about which ebuild you are referring to when saying "the media-libs/mesa-9999 ebuild"? It is certainly not the one which is currently in the Gentoo x11 overlay.
Back to top
View user's profile Send private message
ns4683
n00b
n00b


Joined: 25 Jan 2009
Posts: 10

PostPosted: Sun Sep 05, 2010 2:09 pm    Post subject: Reply with quote

Thank you for your reply. I looked into the layman directory and examined the mesa-9999.ebuild located there. The ebuild was from June 15, 2010 and checking it against the one in the overlay, it was not the most current one. I'm not sure why layman -S wouldn't pull the current one, but downloading the latest ebuild fixes the issue. Thanks for the help.
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2470
Location: Austria

PostPosted: Sat Sep 11, 2010 3:50 pm    Post subject: Reply with quote

Maybe you didn't upgrade layman for some time and/or missed the change in standard overlay paths from /usr/local/portage to /var/lib/layman - if so, you need to update your make.conf accordingly.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum